brlapi_connectionSettings_t(3)

NAME
brlapi_connectionSettings_t -

Settings structure for BrlAPI connection.

SYNOPSIS

#include <brlapi.h>

  Data Fields
char * auth
char * host

Detailed Description

This structure holds every parameter needed to connect to BrlAPI: which file the authorization key can be found in and which computer to connect to.

Examples:

     brlapi_connectionSettings_t settings;
     settings.auth='/etc/brlapi.key';
     settings.host='foo';

libbrlapi will read authorization key from file /etc/brlapi.key and connect to the machine called 'foo', on the default TCP port.

 settings.host='10.1.0.2';

lets directly enter an IP address instead of a machine name.

 settings.host=':1';

lets libbrlapi connect to the local computer, on port BRLAPI_SOCKETPORTNUM+1

See also:
    brlapi_openConnection()

Field Documentation

  char* brlapi_connectionSettings_t::auth
For security reasons, libbrlapi has to get authorized to connect to the BrlAPI server. This can be done via a secret key, for instance. This is the path to the file which holds it; it will hence have to be readable by the application.

Setting NULL defaults it to local installation setup or to the content of the BRLAPI_AUTH environment variable, if it exists.

  char* brlapi_connectionSettings_t::host
This tells where the BrlAPI server resides: it might be listening on another computer, on any TCP port. It should look like 'foo:1', which means TCP port number BRLAPI_SOCKETPORTNUM+1 on computer called 'foo'.

Note:
    Please check that resolving this name works before complaining

Settings NULL defaults it to localhost, using the local installation's default TCP port, or to the content of the BRLAPI_HOST environment variable, if it exists.

Author

Generated automatically by Doxygen for BrlAPI from the source code.